<?xml version="1.0" encoding="GB2312"?>
<FeatureConfig>
    <Feature Name="fullzoomAiRawStageCapture" RequestName="FullZoomAiRawDynamicZslStageCapture">
        <Pipeline Name="IveCapture" FilterType="IveCaptureFilter">
            <Node Name="Source" Type="Plugin" AlgoName="SourcePlugin"><Connect PadName="Out0" PeerNodeName="CloudCollector" PeerPadName="In0" /></Node>
            <Node Name="CloudCollector" Type="Plugin" AlgoName="CloudCollectorPlugin"><Connect PadName="Out0" PeerNodeName="AiRaw" PeerPadName="In0" /></Node>
            <Node Name="AiRaw" Type="Plugin" AlgoName="AiRawV2PpAlgo"><Connect PadName="Out0" PeerNodeName="CloudSink" PeerPadName="In0" /></Node>
            <Node Name="CloudSink" Type="Plugin" AlgoName="CloudSinkPlugin"><Connect PadName="Out0" PeerNodeName="Enhance" PeerPadName="In0" /></Node>
            <Node Name="Enhance" Type="Plugin" AlgoName="YUVEnhance"><Connect PadName="Out0" PeerNodeName="RedEye" PeerPadName="In0" /></Node>
            <Node Name="RedEye" Type="Plugin" AlgoName="RedEyeRemovePpAlgo"><Connect PadName="Out0" PeerNodeName="JpegEncoderLite" PeerPadName="In0" /></Node>
            <Node Name="JpegEncoderLite" Type="Plugin" AlgoName="JpegEncoderLitePlugin" PlaceholderType="Tail"><Connect PadName="Out0" PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node Name="Sink" Type="Plugin" AlgoName="SinkPlugin"><Connect PadName="In0" PeerNodeName="JpegEncoderLite" PeerPadName="Out0"/></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FrontHdrpliteStageCapture" RequestName="FrontHdrpliteStageCapture">
        <Pipeline Name="IveCapture" FilterType="IveCaptureFilter">
            <Node Name="Source"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"   PeerNodeName="AiRaw"          PeerPadName="In0" /></Node>
            <Node Name="AiRaw"       Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect   PadName="Out0"   PeerNodeName="Face"           PeerPadName="In0" /></Node>
            <Node Name="Face"        Type="Plugin"       AlgoName="FaceSr"><Connect          PadName="Out0"   PeerNodeName="JpegEncoderLite"    PeerPadName="In0" /></Node>
            <Node Name="JpegEncoderLite" Type="Plugin"       AlgoName="JpegEncoderLitePlugin" PlaceholderType="Tail"><Connect     PadName="Out0"    PeerNodeName="Sink"    PeerPadName="In0" /></Node>
            <Node Name="Sink"        Type="Plugin"       AlgoName="SinkPlugin"><Connect      PadName="In0"    PeerNodeName="JpegEncoderLite"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FrontAiRawHdrpStageCapture" RequestName="FrontAiRawHdrpStageCapture" Base="FrontHdrpliteStageCapture">
    </Feature>
    <Feature Name="fullzoomAiRawNoFacePortraitStageCapture" RequestName = "fullZoomAiRawNoFacePortraitStageCapture">
        <Pipeline Name="IveCapture" FilterType="IveCaptureFilter">
            <Node Name="Source"      Type="Plugin"    AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="AiRaw"          PeerPadName="In0" /></Node>
            <Node Name="AiRaw"       Type="Plugin"    AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"    PeerNodeName="Enhance"        PeerPadName="In0" /></Node>
            <Node Name="Enhance"     Type="Plugin"    AlgoName="YUVEnhance"><Connect        PadName="Out0"    PeerNodeName="Beauty"         PeerPadName="In0" /></Node>
            <Node Name="Beauty"      Type="Plugin"    AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"    PeerNodeName="JpegEncoderLite"    PeerPadName="In0" /></Node>
            <Node Name="JpegEncoderLite" Type="Plugin"    AlgoName="JpegEncoderLitePlugin" PlaceholderType="Tail"><Connect PadName="Out0" PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node Name="Sink"        Type="Plugin"    AlgoName="SinkPlugin"><Connect        PadName="In0"     PeerNodeName="JpegEncoderLite"    PeerPadName="Out0"/></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawNotDualcamPortraitStageCapture" RequestName = "fullzoomAiRawNoFacePortraitStageCapture" Base="fullzoomAiRawNoFacePortraitStageCapture">
    </Feature>
    <Feature Name="fullzoomAiRawPortraitStageCapture" RequestName = "fullzoomAiRawPortraitStageCapture">
        <Pipeline Name="IveCapture" FilterType="IveCaptureFilter">
            <Node Name="Source"      Type="Plugin"    AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="CloudCollector" PeerPadName="In0" /></Node>
            <Node Name="CloudCollector" Type="Plugin" AlgoName="CloudCollectorPlugin"><Connect PadName="Out0" PeerNodeName="AiRaw"         PeerPadName="In0" /></Node>
            <Node Name="AiRaw"       Type="Plugin"    AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"    PeerNodeName="CloudSink"     PeerPadName="In0" /></Node>
            <Node Name="CloudSink"   Type="Plugin"    AlgoName="CloudSinkPlugin"><Connect   PadName="Out0"    PeerNodeName="Enhance"       PeerPadName="In0" /></Node>
            <Node Name="Enhance"     Type="Plugin"    AlgoName="YUVEnhance"><Connect        PadName="Out0"    PeerNodeName="DualDepth"     PeerPadName="In0" /></Node>
            <Node Name="DualDepth"   Type="Plugin"    AlgoName="dualdepth"><Connect         PadName="Out0"    PeerNodeName="Beauty"        PeerPadName="In0" /></Node>
            <Node Name="Beauty"      Type="Plugin"    AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"    PeerNodeName="Refocus"       PeerPadName="In0" /></Node>
            <Node Name="Refocus"     Type="Plugin"    AlgoName="refocus"><Connect           PadName="Out0"    PeerNodeName="JpegEncoderLite"   PeerPadName="In0" /></Node>
            <Node Name="JpegEncoderLite" Type="Plugin"    AlgoName="JpegEncoderLitePlugin" PlaceholderType="Tail"><Connect PadName="Out0" PeerNodeName="Sink"    PeerPadName="In0" /></Node>
            <Node Name="Sink"        Type="Plugin"    AlgoName="SinkPlugin"><Connect        PadName="In0"     PeerNodeName="JpegEncoderLite"   PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawPortraitStageCaptureEscape" RequestName="fullzoomAiRawPortraitStageCaptureEscape" Base="fullzoomAiRawPortraitStageCapture">
    </Feature>
    <Feature Name="frontbeautyBokehHdrpAiRawStageCapture" RequestName="frontbeautyBokehHdrpAiRawStageCapture">
        <Pipeline Name="IveCapture" FilterType="IveCaptureFilter">
            <Node Name="Source"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"  PeerNodeName="AiRaw"        PeerPadName="In0"  /></Node>
            <Node Name="AiRaw"       Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"  PeerNodeName="Face"         PeerPadName="In0"  /></Node>
            <Node Name="Face"        Type="Plugin"       AlgoName="FaceSr"><Connect            PadName="Out0"  PeerNodeName="Bokehmask"    PeerPadName="In0"  /></Node>
            <Node Name="Bokehmask"   Type="Plugin"       AlgoName="frontbokehmask"><Connect    PadName="Out0"  PeerNodeName="Bokeh"        PeerPadName="In0"  /></Node>
            <Node Name="Bokeh"       Type="Plugin"       AlgoName="frontbokeh"><Connect        PadName="Out0"  PeerNodeName="Beauty"       PeerPadName="In0"  /></Node>
            <Node Name="Beauty"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"  PeerNodeName="JpegEncoderLite"  PeerPadName="In0"  /></Node>
            <Node Name="JpegEncoderLite" Type="Plugin"       AlgoName="JpegEncoderLitePlugin" PlaceholderType="Tail"><Connect PadName="Out0" PeerNodeName="Sink"    PeerPadName="In0" /></Node>
            <Node Name="Sink"        Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"   PeerNodeName="JpegEncoderLite"  PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontbeautyBokehHdrpAiRawStageCaptureEscape" RequestName="frontbeautyBokehHdrpAiRawStageCaptureEscape" Base="frontbeautyBokehHdrpAiRawStageCapture">
    </Feature>
    <Feature Name="frontbeautyBokehHdrpliteStageCapture" RequestName="frontbeautyBokehHdrpliteStageCapture" Base="frontbeautyBokehHdrpAiRawStageCapture">
    </Feature>
    <Feature Name="frontbeautyBokehHdrpliteStageCaptureEscape" RequestName="frontbeautyBokehHdrpliteStageCaptureEscape" Base="frontbeautyBokehHdrpliteStageCapture">
    </Feature>
    <Feature Name="FrontBeautyAiRawHdrpStageCapture" RequestName="FrontBeautyAiRawHdrpStageCapture">
        <Pipeline Name="IveCapture" FilterType="IveCaptureFilter">
            <Node Name="Source"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"  PeerNodeName="AiRaw"        PeerPadName="In0"  /></Node>
            <Node Name="AiRaw"       Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"  PeerNodeName="Face"         PeerPadName="In0"  /></Node>
            <Node Name="Face"        Type="Plugin"       AlgoName="FaceSr"><Connect            PadName="Out0"  PeerNodeName="Beauty"       PeerPadName="In0"  /></Node>
            <Node Name="Beauty"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"  PeerNodeName="JpegEncoderLite"  PeerPadName="In0"  /></Node>
            <Node Name="JpegEncoderLite" Type="Plugin"       AlgoName="JpegEncoderLitePlugin" PlaceholderType="Tail"><Connect PadName="Out0" PeerNodeName="Sink"    PeerPadName="In0" /></Node>
            <Node Name="Sink"        Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"   PeerNodeName="JpegEncoderLite"  PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontbeautyHdrpliteStageCapture" RequestName = "frontbeautyHdrpliteStageCapture" Base="FrontBeautyAiRawHdrpStageCapture">
    </Feature>
    <Feature Name="fullzoomAiRawBokehStageCapture" RequestName="fullzoomAiRawBokehStageCapture" Base="fullzoomAiRawBokehMode">
        <Pipeline Name="IveCapture" FilterType="IveCaptureFilter">
            <Node Name="Source"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="AiRaw"      PeerPadName="In0" /></Node>
            <Node Name="AiRaw"       Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"    PeerNodeName="Enhance"    PeerPadName="In0" /></Node>
            <Node Name="Enhance"     Type="Plugin"       AlgoName="YUVEnhance"><Connect        PadName="Out0"    PeerNodeName="DualDepth"  PeerPadName="In0" /></Node>
            <Node Name="DualDepth"   Type="Plugin"       AlgoName="dualdepth"><Connect         PadName="Out0"    PeerNodeName="Refocus"    PeerPadName="In0" /></Node>
            <Node Name="Refocus"     Type="Plugin"       AlgoName="refocus"><Connect           PadName="Out0"    PeerNodeName="JpegEncoderLite"       PeerPadName="In0" /></Node>
            <Node Name="JpegEncoderLite" Type="Plugin"       AlgoName="JpegEncoderLitePlugin" PlaceholderType="Tail"><Connect PadName="Out0" PeerNodeName="Sink"    PeerPadName="In0" /></Node>
            <Node Name="Sink"        Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"   PeerNodeName="JpegEncoderLite"  PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="bigApertureZoomNotBokehStageCapture" RequestName="bigApertureZoomNotBokehStageCapture" Base="bigApertureZoomNotBokeh">
        <Pipeline Name="IveCapture" FilterType="IveCaptureFilter">
            <Node Name="Source"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"   PeerNodeName="AiRaw"         PeerPadName="In0" /></Node>
            <Node Name="AiRaw"       Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect   PadName="Out0"   PeerNodeName="Enhance"       PeerPadName="In0" /></Node>
            <Node Name="Enhance"     Type="Plugin"       AlgoName="YUVEnhance"><Connect      PadName="Out0"   PeerNodeName="JpegEncoderLite"   PeerPadName="In0" /></Node>
            <Node Name="JpegEncoderLite" Type="Plugin"       AlgoName="JpegEncoderLitePlugin" PlaceholderType="Tail"><Connect PadName="Out0" PeerNodeName="Sink"    PeerPadName="In0" /></Node>
            <Node Name="Sink"        Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"   PeerNodeName="JpegEncoderLite"  PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="bigApertureZoomNotBokehEllipStageCapture" RequestName = "bigApertureZoomNotBokehEllipStageCapture" Base="bigApertureZoomNotBokehStageCapture">
    </Feature>
    <Feature Name="fullzoomAiRawBokehEllipStageCapture" RequestName = "fullzoomAiRawBokehEllipStageCapture" Base="fullzoomAiRawBokehStageCapture">
    </Feature>
    <Feature Name="fullzoomAiRawNotDualcamPortraitEllipStageMode" RequestName = "fullzoomAiRawNoFacePortraitEllipStageCapture" Base="fullzoomAiRawNoFacePortraitStageCapture">
    </Feature>
</FeatureConfig>
